Subject: bug#33869: 26.1; function locate-dominating-file not documented in elisp manual

From: Eli Zaretskii <[email-masked]>
Date: Fri, 28 Dec 2018 10:38:05 +0200

> From: Adam Porter <[email-masked]>
> Date: Tue, 25 Dec 2018 14:23:51 -0600
> 
> The function locate-dominating-file appears to be missing from the elisp
> manual.  Interestingly, this was noticed and asked by another user on
> another forum:
> 
> https://stackoverflow.com/questions/40618516/where-is-locate-dominating-file-documented
> 
> I noticed this because just now I was trying to remember the name of the
> function, and I kept looking in apropos and the manual for other words
> and word lists like "overriding", "find file", "find path", "find
> directory", etc.

If we cannot come up with a phrase or a list of phrases for which
locate-dominating-file might be the hit one looks for, I don't see how
adding this to the ELisp manual could improve the discoverability.
None of those you tried above sound right to me, and I'm hard-pressed
for coming with something that is right.  The guy in the SO discussion
wanted the root of the VC repository, which is just one special case
where this function can help, and happens to have a better answer
(vc-root-dir).  So that discussion doesn't really help.

Thus, please suggest phrases that could serve as index entries for
this function.

> I finally found it by searching Google for "emacs function find repo
> directory", and the second hit was a question on Emacs.StackExchange
> that mentioned locate-dominating-file.

When I try that search, only the first hit is a StackExchange
discussion, and it doesn't mention this function.  What am I missing?

Thanks.